%global pkg_name type-level

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

%bcond_without shared
%bcond_without hscolour

# debuginfo is not useful for ghc
%global debug_package %{nil}

Name:           ghc-%{pkg_name}
Version:        0.2.4
Release:        4%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha
BuildRequires:  ghc, ghc-doc, ghc-prof
BuildRequires:  ghc-rpm-macros >= 0.8.1
%if %{with hscolour}
BuildRequires:  hscolour
%endif

%description
%{common_description}
%if %{with shared}
This package provides the shared library.
%endif


%{?ghc_lib_package}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%{__rm} -rf %{buildroot}
%ghc_lib_install


%clean
%{__rm} -rf %{buildroot}


%changelog
* Fri Aug 20 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-4
- Removed ghc_pkg_deps and ghc_pkg_c_deps.

* Thu Aug 19 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-3
- Updated for cabal2spec-0.22.2.

* Tue Jul 13 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-2
- Added BSD license.
- Initial packaging for Fedora automatically generated by cabal2spec-0.22.1

* Wed Apr 07 2010 Shakthi Kannan <shakthimaan [AT] fedoraproject DOT org> - 0.2.4-1
- Initial packaging for Fedora automatically generated by cabal2spec-0.21.1
